'use client'
import navLinkPersonalVM from '@/app/dashboard/components/client/nav-links/nav-link-controller';
import clsx from 'clsx';
import Link from 'next/link'

export default function NavLinks() {
  const { links, isLinkActive  } = navLinkPersonalVM()
  return (
    <>
      {links.map((link) => {
        const LinkIcon = link.icon;
        return (
          <Link
            key={link.name}
            href={link.href}
            className={clsx(
              'flex h-[48px] grow items-center justify-center gap-2 rounded-md bg-gray-50 p-3 text-sm font-medium hover:bg-sky-100 hover:text-blue-600 md:flex-none md:justify-start md:p-2 md:px-3',
              {
                'bg-sky-100 text-blue-600': isLinkActive(link),
              },
            )}
          >
            <LinkIcon className="w-6" />
            <p className="hidden md:block">{link.name}</p>
          </Link>
        );
      })}
    </>
  );
}
